% commands for arara
% arara: pdflatex
% arara: nomencl
% arara: biber
% arara: pdflatex
% arara: pdflatex if found('log', 'undefined references')

% magic comments for tex-studio
%% !TeX spellcheck = de-DE
% !TeX spellcheck = en-US
% !TeX encoding = utf-8
% !TeX TXS-program:bibliography = txs:///biber
% !BIB program = biber

%% Classes and Styles
% select the language (ngerman or english)
% (ngerman for 'neue Rechtschreibung')
% \documentclass[ngerman]{Classes/ifasDiss}
\documentclass[english]{Classes/ifasDiss}

\usepackage{blindtext}
\usepackage{booktabs}

% bibliography
% reconmended style
\usepackage[
    backend=biber,
    style=numeric,
    sorting=none]{biblatex}

% old /ifas/ style
%\usepackage[
%	backend=biber,
%	bibstyle=Bibliography/ifas, citestyle=alphabetic,
%	uniquename=init, block=space,
%	maxbibnames=99, maxcitenames=1,
%	maxalphanames=1]{biblatex}
	
\addbibresource{Bibliography/library.bib}

% graphics
\graphicspath{{Graphics/}}

%Info about author and document(used for the titlepage)
\author{Marcel D'Avis}
\doctorof{Ingenieurwissenschaften}
\title{ifas Dissertation Template in \LaTeX}
\firstCorrector{Univ.-Prof. Dr.-Ing. Katharina Schmitz}
\secondCorrector{Univ.-Prof Dr. A. Klenk}
\dateOfExam{11.11.2011}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                        BEGIN OF THE DOCUMENT                                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{document}

\frontmatter

\maketitle

\begin{dedication}
    Halt, stop! \\ -- {\scshape Andreas Höber}
\end{dedication}

\input{Acknowledgement/acknowledgement}

\iflanguage{english}{%
    \input{Abstract/abstract}
}{}
\input{Abstract/zusammenfassung}

\tableofcontents

%Add the Nomenclature to the toc
%Use 
% <makeindex %.nlo -s nomencl.ist -o %.nls -t %.nlg>
% to add new entries to the nomenclature. Afterwards compile .tex again
% These commands must be included into 'texstudio', as well.
% Go to Options -> Build -> User Commands
% left field: user0:Make Nomenclature;
% right field: makeindes %.nlo -s nomencl.ist -o %.nls -t %.nlg
% The nomenclature can then be created by pressing alt+shift+F1 between compilations
% Overleaf handles the nomenclature automatically

\printnomenclature

\mainmatter

\input{Chapters/chapter1}

\input{Chapters/chapter2}

\input{Chapters/chapter3}

\begin{appendices}
\input{Chapters/appendixA}
\input{Chapters/appendixB}
\end{appendices}

\backmatter

\listoffigures
%\addcontentsline{toc}{chapter}{List of Figures}

\listoftables
%\addcontentsline{toc}{chapter}{List of Tables}

\printbibliography[
    title=\multilang{Literatur}{Literature},
    heading=bibnumbered
]

\input{CV/cv}

\end{document}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                          END OF THE DOCUMENT                                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
